Bug 1096607 - drupal6-flag: code execution flaw in flag importer [fedora-20]
Summary: drupal6-flag: code execution flaw in flag importer [fedora-20]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: drupal6-flag
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro
Depends On:
Blocks: CVE-2014-3453
TreeView+ depends on / blocked
 
Reported: 2014-05-12 06:43 UTC by Murray McAllister
Modified: 2015-01-14 07:30 UTC (History)
4 users (show)

Fixed In Version: drupal6-flag-2.1-3.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-14 07:26:12 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-05-12 06:43:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

fedora-20 tracking bug for drupal6-flag: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-05-12 06:43:11 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1096604,1096607

Comment 2 Shawn Iwinski 2014-06-23 17:02:56 UTC
https://www.drupal.org/node/2263071

Comment 3 Shawn Iwinski 2014-12-28 23:38:15 UTC
https://www.drupal.org/node/2399299

Comment 4 David A. Cafaro 2014-12-30 01:41:36 UTC
The patch listed here hopefully works for 6 as well:

https://www.drupal.org/files/issues/flag-7.x-3.5-IH.patch

Comment 5 Fedora Update System 2015-01-02 16:55:00 UTC
drupal6-flag-2.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/drupal6-flag-2.1-3.fc19

Comment 6 Fedora Update System 2015-01-02 16:55:07 UTC
drupal6-flag-2.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/drupal6-flag-2.1-3.fc20

Comment 7 Fedora Update System 2015-01-02 16:56:18 UTC
drupal6-flag-2.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/drupal6-flag-2.1-3.fc21

Comment 8 Fedora Update System 2015-01-03 19:04:50 UTC
Package drupal6-flag-2.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing drupal6-flag-2.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0072/drupal6-flag-2.1-3.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-01-14 07:26:12 UTC
drupal6-flag-2.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-01-14 07:30:36 UTC
drupal6-flag-2.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.